
/* Do File for Cox Models in TradeTime BJPS R&R 22 June 2004 */
/* Swap in elecopp to get table 3 */
              

************
* elecerly w/ exp coeffs 2004-10-17 with 3 decimals
***************
* snapspan num date elec elecforc dexpsa dexport dgdpncim imputnc dgdp90 imput90,
      generate(newt0var)

* Failure event = Erlyelec
stset date, id(parl) failure(elecerly) origin(time newt0var)
stdes

set more off

stcox dexpsa, nolog breslow strata(ciep) cluster(country) nohr
outreg using elecopp040622Lgdpnc, nolabel se coefastr 3aster bdec(3)
stcox dexpsa Xdexpsa, nolog breslow strata(ciep) cluster(country) nohr
outreg using elecopp040622Lgdpnc, nolabel se coefastr 3aster bdec(3) append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc , nolog breslow strata(ciep) cluster(country) nohr
outreg using elecopp040622Lgdpnc, nolabel se coefastr 3aster bdec(3) append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc newlead3 scandal Xnewlead3, nolog breslow strata(ciep) cluster(country) nohr
outreg using elecopp040622Lgdpnc, nolabel se coefastr 3aster bdec(3) append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc newlead3 scandal Xnewlead3 qtr2 qtr3 qtr4, nolog breslow strata(ciep) cluster(country) nohr
outreg using elecopp040622Lgdpnc, nolabel se coefastr 3aster bdec(3) append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc newlead3 scandal Xnewlead3 if europe==1, nolog breslow strata(ciep) cluster(country) nohr
outreg using elecopp040622Lgdpnc, nolabel se coefastr 3aster bdec(3) append

set more on

************
* elecerly w/ hazratio 2004-10-17 with 4 decimals
***************
* snapspan num date elec elecforc dexpsa dexport dgdpncim imputnc dgdp90 imput90,
      generate(newt0var)


set more off
stset date, id(parl) failure(elecerly) origin(time newt0var)
stdes
* Failure event = Erlyelec

stcox dexpsa, nolog breslow strata(ciep) cluster(country) hr
outreg using Cox041017, nolabel se coefastr 3aster bdec(4)tdec(4) br
stcox dexpsa Xdexpsa, nolog breslow strata(ciep) cluster(country) hr
outreg using Cox041017, nolabel se coefastr 3aster bdec(4) tdec(4) br append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc , nolog breslow strata(ciep) cluster(country) hr
outreg using Cox041017, nolabel se coefastr 3aster bdec(4) tdec(4) br append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc newlead3 scandal Xnewlead3, nolog breslow strata(ciep) cluster(country) hr
outreg using Cox041017, nolabel se coefastr 3aster bdec(4) tdec(4) br append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc newlead3 scandal Xnewlead3 qtr2 qtr3 qtr4, nolog breslow strata(ciep) cluster(country) hr
outreg using Cox041017, nolabel se coefastr 3aster bdec(4) tdec(4) br append
stcox dexpsa Xdexpsa expgdp Ldgdpnc XLdgdpnc newlead3 scandal Xnewlead3 if europe==1, nolog breslow strata(ciep) cluster(country) hr
outreg using Cox041017, nolabel se coefastr 3aster bdec(4) tdec(4) br append

set more on
